Verinice.Pro Update 1.20 nach 1.22.1

Hallo in die Runde,
habe unseren Verinice.Pro Server (CentOS7)von Version 1.20 nach 1.22.1 per YUM aktualisiert.
Ich kann mich auf der Webseite des Server anmelden, bekomme dor auch das aktuelle Handbuch
und die Clients zum Download angeboten.

Wenn ich mich aber mit einem Client Version 1.22.1 verbinden will, bekomme ich folgende Meldung:


Diese deutet auf eine Falsche Version des Client hin.
Für den Server stehen aber keine Updates mehr bereit.

Wenn ich dann den Client mit der Version 1.20 verwenden gibt es diesen Fehler nicht.
Nachtrag, habe das Update Repository und die installierten Versionen verglichen, ist
meiner Meinung nach korrekt:

Hat jemand eine Idee?

Grüße aus dem Schwarzwald
Stefan Piotrowski